System Requirements

lightbulb_on

BIDocumenter Setup will automatically install most of the dependencies. If you have SQL Server Management Studio installed these prerequisites will already be fulfilled.

 

Supported Operating Systems:
 

· Windows XP Service Pack 1 or higher
·

Windows Vista Ultimate, Business, Home Premium, Home Basic

·

Windows 7

·

Windows 2008

 

NOTE:  x86 and x64 OS versions are supported
NOTE:  BI Documenter does not support Windows 8.1 and SQL Server 2014

 

 

Software prerequisites:
 

· Microsoft SQL Server Native Client (Link)
· Microsoft Core XML Services (MSXML) 6.0 (Link)
· Microsoft SQL Server® 2008 R2 Shared Management Objects (SMO - Required to document SQL Server Objects - Link)
· Analysis Services Management Object (AMO - Required to document Analysis Services Objects)
· SSIS Runtime Components (Required to document SSIS Packages)
· SSIS Runtime Components (Required to document SSIS Packages)
· Microsoft .NET Framework Version 4.0
· SQL Server 2008 Express Edition or Higher

 

Even if you are only documenting SQL Server 2005, you are still required to install each of the above listed components.